<!DOCTYPE HTML>
<html lang="es">
<head>
<!-- Generated by javadoc (17) on Fri Jun 03 20:10:18 CDT 2022 -->
<title>ListaEstaticaNumerica</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2022-06-03">
<meta name="description" content="declaration: package: estructurasLineales, class: ListaEstaticaNumerica">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-declaration-page">
<script type="text/javascript">var evenRowColor = "even-row-color";
var oddRowColor = "odd-row-color";
var tableTab = "table-tab";
var activeTableTab = "active-table-tab";
var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top">
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html#class">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field-summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor-summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method-summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li><a href="#field-detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor-detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method-detail">Method</a></li>
</ul>
</div>
<div class="nav-list-search"><label for="search-input">SEARCH:</label>
<input type="text" id="search-input" value="search" disabled="disabled">
<input type="reset" id="reset-button" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="sub-title"><span class="package-label-in-type">Package</span>&nbsp;<a href="package-summary.html">estructurasLineales</a></div>
<h1 title="Class ListaEstaticaNumerica" class="title">Class ListaEstaticaNumerica</h1>
</div>
<div class="inheritance" title="Inheritance Tree"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">java.lang.Object</a>
<div class="inheritance"><a href="ListaEstatica.html" title="class in estructurasLineales">estructurasLineales.ListaEstatica</a>
<div class="inheritance">estructurasLineales.ListaEstaticaNumerica</div>
</div>
</div>
<section class="class-description" id="class-description">
<dl class="notes">
<dt>All Implemented Interfaces:</dt>
<dd><code><a href="ListaAlmacenamiento.html" title="interface in estructurasLineales">ListaAlmacenamiento</a></code>, <code><a href="VectorLista.html" title="interface in estructurasLineales">VectorLista</a></code></dd>
</dl>
<hr>
<div class="type-signature"><span class="modifiers">public class </span><span class="element-name type-name-label">ListaEstaticaNumerica</span>
<span class="extends-implements">extends <a href="ListaEstatica.html" title="class in estructurasLineales">ListaEstatica</a></span></div>
</section>
<section class="summary">
<ul class="summary-list">
<!-- =========== FIELD SUMMARY =========== -->
<li>
<section class="field-summary" id="field-summary">
<h2>Field Summary</h2>
<div class="caption"><span>Fields</span></div>
<div class="summary-table three-column-summary">
<div class="table-header col-first">Modifier and Type</div>
<div class="table-header col-second">Field</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color"><code>protected <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Number.html" title="class or interface in java.lang" class="external-link">Number</a>[]</code></div>
<div class="col-second even-row-color"><code><a href="#datos" class="member-name-link">datos</a></code></div>
<div class="col-last even-row-color">&nbsp;</div>
<div class="col-first odd-row-color"><code>protected int</code></div>
<div class="col-second odd-row-color"><code><a href="#MAXIMO" class="member-name-link">MAXIMO</a></code></div>
<div class="col-last odd-row-color">&nbsp;</div>
<div class="col-first even-row-color"><code>protected int</code></div>
<div class="col-second even-row-color"><code><a href="#ultimo" class="member-name-link">ultimo</a></code></div>
<div class="col-last even-row-color">&nbsp;</div>
</div>
</section>
</li>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li>
<section class="constructor-summary" id="constructor-summary">
<h2>Constructor Summary</h2>
<div class="caption"><span>Constructors</span></div>
<div class="summary-table two-column-summary">
<div class="table-header col-first">Constructor</div>
<div class="table-header col-last">Description</div>
<div class="col-constructor-name even-row-color"><code><a href="#%3Cinit%3E(int)" class="member-name-link">ListaEstaticaNumerica</a><wbr>(int&nbsp;maximo)</code></div>
<div class="col-last even-row-color">&nbsp;</div>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li>
<section class="method-summary" id="method-summary">
<h2>Method Summary</h2>
<div id="method-summary-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button id="method-summary-table-tab0" role="tab" aria-selected="true" aria-controls="method-summary-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table', 3)" class="active-table-tab">All Methods</button><button id="method-summary-table-tab2" role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table-tab2', 3)" class="table-tab">Instance Methods</button><button id="method-summary-table-tab4" role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table-tab4', 3)" class="table-tab">Concrete Methods</button></div>
<div id="method-summary-table.tabpanel" role="tabpanel">
<div class="summary-table three-column-summary" aria-labelledby="method-summary-table-tab0">
<div class="table-header col-first">Modifier and Type</div>
<div class="table-header col-second">Method</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>int</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#agregar(java.lang.Object)" class="member-name-link">agregar</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a>&nbsp;valor)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Inserta al final de la lista el elemento especificados com oargumento.</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#agregarBuffer(double%5B%5D)" class="member-name-link">agregarBuffer</a><wbr>(double[]&nbsp;buffer)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>boolean</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#aplicarPotencia(estructurasLineales.ListaEstaticaNumerica)" class="member-name-link">aplicarPotencia</a><wbr>(<a href="ListaEstaticaNumerica.html" title="class in estructurasLineales">ListaEstaticaNumerica</a>&nbsp;listaEcalares)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>boolean</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#aplicarPotencia(java.lang.Number)" class="member-name-link">aplicarPotencia</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Number.html" title="class or interface in java.lang" class="external-link">Number</a>&nbsp;escalar)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a></code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#buscar(java.lang.Object)" class="member-name-link">buscar</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a>&nbsp;valor)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a></code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#eliminar(java.lang.Object)" class="member-name-link">eliminar</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a>&nbsp;valor)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#imprimir()" class="member-name-link">imprimir</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>double[]</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#leerArreglo()" class="member-name-link">leerArreglo</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>boolean</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#multiplicar(estructurasLineales.ListaEstaticaNumerica)" class="member-name-link">multiplicar</a><wbr>(<a href="ListaEstaticaNumerica.html" title="class in estructurasLineales">ListaEstaticaNumerica</a>&nbsp;lista2)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>double</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#norma()" class="member-name-link">norma</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>double</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#normaEuclidiana(estructurasLineales.ListaEstaticaNumerica)" class="member-name-link">normaEuclidiana</a><wbr>(<a href="ListaEstaticaNumerica.html" title="class in estructurasLineales">ListaEstaticaNumerica</a>&nbsp;arreglo2)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>boolean</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#porEscalar(java.lang.Number)" class="member-name-link">porEscalar</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Number.html" title="class or interface in java.lang" class="external-link">Number</a>&nbsp;escalar)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>double</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#productoEscalar(estructurasLineales.ListaEstaticaNumerica)" class="member-name-link">productoEscalar</a><wbr>(<a href="ListaEstaticaNumerica.html" title="class in estructurasLineales">ListaEstaticaNumerica</a>&nbsp;lista2)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>boolean</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#sumar(estructurasLineales.ListaEstaticaNumerica)" class="member-name-link">sumar</a><wbr>(<a href="ListaEstaticaNumerica.html" title="class in estructurasLineales">ListaEstaticaNumerica</a>&nbsp;lista2)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>boolean</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#sumarEscalar(java.lang.Number)" class="member-name-link">sumarEscalar</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Number.html" title="class or interface in java.lang" class="external-link">Number</a>&nbsp;escalar)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>double</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#sumarEscalares(estructurasLineales.ListaEstaticaNumerica)" class="member-name-link">sumarEscalares</a><wbr>(<a href="ListaEstaticaNumerica.html" title="class in estructurasLineales">ListaEstaticaNumerica</a>&nbsp;escalares)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>double</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#sumarListaEstatica(estructurasLineales.ListaEstatica)" class="member-name-link">sumarListaEstatica</a><wbr>(<a href="ListaEstatica.html" title="class in estructurasLineales">ListaEstatica</a>&nbsp;listas)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>boolean</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#vacia()" class="member-name-link">vacia</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Determina si una lista de almacenamiento esta vacia.</div>
</div>
</div>
</div>
</div>
<div class="inherited-list">
<h3 id="methods-inherited-from-class-estructurasLineales.ListaEstatica">Methods inherited from class&nbsp;estructurasLineales.<a href="ListaEstatica.html" title="class in estructurasLineales">ListaEstatica</a></h3>
<code><a href="ListaEstatica.html#agregarLista(java.lang.Object)">agregarLista</a>, <a href="ListaEstatica.html#buscarValores(java.lang.Object)">buscarValores</a>, <a href="ListaEstatica.html#cambiar(int,java.lang.Object)">cambiar</a>, <a href="ListaEstatica.html#cambiar(java.lang.Object,java.lang.Object,int)">cambiar</a>, <a href="ListaEstatica.html#cambiarListaEstatica(estructurasLineales.ListaEstatica,estructurasLineales.ListaEstatica)">cambiarListaEstatica</a>, <a href="ListaEstatica.html#clonar()">clonar</a>, <a href="ListaEstatica.html#contar(java.lang.Object)">contar</a>, <a href="ListaEstatica.html#eliminar()">eliminar</a>, <a href="ListaEstatica.html#eliminar(int)">eliminar</a>, <a href="ListaEstatica.html#eliminarLista(java.lang.Object)">eliminarLista</a>, <a href="ListaEstatica.html#enRango(int)">enRango</a>, <a href="ListaEstatica.html#esIgual(java.lang.Object)">esIgual</a>, <a href="ListaEstatica.html#imprimirOI()">imprimirOI</a>, <a href="ListaEstatica.html#invertir()">invertir</a>, <a href="ListaEstatica.html#llena()">llena</a>, <a href="ListaEstatica.html#maximo()">maximo</a>, <a href="ListaEstatica.html#numeroElementos()">numeroElementos</a>, <a href="ListaEstatica.html#numeroMaximo()">numeroMaximo</a>, <a href="ListaEstatica.html#obtener(int)">obtener</a>, <a href="ListaEstatica.html#redimensionar(int)">redimensionar</a>, <a href="ListaEstatica.html#reemplazar(int,double)">reemplazar</a>, <a href="ListaEstatica.html#rellenar(java.lang.Object,int)">rellenar</a>, <a href="ListaEstatica.html#subLista(int,int)">subLista</a>, <a href="ListaEstatica.html#vaciar()">vaciar</a>, <a href="ListaEstatica.html#verUltimo()">verUltimo</a></code></div>
<div class="inherited-list">
<h3 id="methods-inherited-from-class-java.lang.Object">Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a></h3>
<code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#clone()" title="class or interface in java.lang" class="external-link">clone</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang" class="external-link">equals</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#finalize()" title="class or interface in java.lang" class="external-link">finalize</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#getClass()" title="class or interface in java.lang" class="external-link">getClass</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#hashCode()" title="class or interface in java.lang" class="external-link">hashCode</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#notify()" title="class or interface in java.lang" class="external-link">notify</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#notifyAll()" title="class or interface in java.lang" class="external-link">notifyAll</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#toString()" title="class or interface in java.lang" class="external-link">toString</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#wait()" title="class or interface in java.lang" class="external-link">wait</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#wait(long)" title="class or interface in java.lang" class="external-link">wait</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#wait(long,int)" title="class or interface in java.lang" class="external-link">wait</a></code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="details-list">
<!-- ============ FIELD DETAIL =========== -->
<li>
<section class="field-details" id="field-detail">
<h2>Field Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="MAXIMO">
<h3>MAXIMO</h3>
<div class="member-signature"><span class="modifiers">protected</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="element-name">MAXIMO</span></div>
</section>
</li>
<li>
<section class="detail" id="ultimo">
<h3>ultimo</h3>
<div class="member-signature"><span class="modifiers">protected</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="element-name">ultimo</span></div>
</section>
</li>
<li>
<section class="detail" id="datos">
<h3>datos</h3>
<div class="member-signature"><span class="modifiers">protected</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Number.html" title="class or interface in java.lang" class="external-link">Number</a>[]</span>&nbsp;<span class="element-name">datos</span></div>
</section>
</li>
</ul>
</section>
</li>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li>
<section class="constructor-details" id="constructor-detail">
<h2>Constructor Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="&lt;init&gt;(int)">
<h3>ListaEstaticaNumerica</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="element-name">ListaEstaticaNumerica</span><wbr><span class="parameters">(int&nbsp;maximo)</span></div>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li>
<section class="method-details" id="method-detail">
<h2>Method Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="imprimir()">
<h3>imprimir</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">imprimir</span>()</div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code><a href="ListaAlmacenamiento.html#imprimir()">imprimir</a></code>&nbsp;in interface&nbsp;<code><a href="ListaAlmacenamiento.html" title="interface in estructurasLineales">ListaAlmacenamiento</a></code></dd>
<dt>Overrides:</dt>
<dd><code><a href="ListaEstatica.html#imprimir()">imprimir</a></code>&nbsp;in class&nbsp;<code><a href="ListaEstatica.html" title="class in estructurasLineales">ListaEstatica</a></code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="vacia()">
<h3>vacia</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">boolean</span>&nbsp;<span class="element-name">vacia</span>()</div>
<div class="block"><span class="descfrm-type-label">Description copied from interface:&nbsp;<code><a href="ListaAlmacenamiento.html#vacia()">ListaAlmacenamiento</a></code></span></div>
<div class="block">Determina si una lista de almacenamiento esta vacia.</div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code><a href="ListaAlmacenamiento.html#vacia()">vacia</a></code>&nbsp;in interface&nbsp;<code><a href="ListaAlmacenamiento.html" title="interface in estructurasLineales">ListaAlmacenamiento</a></code></dd>
<dt>Overrides:</dt>
<dd><code><a href="ListaEstatica.html#vacia()">vacia</a></code>&nbsp;in class&nbsp;<code><a href="ListaEstatica.html" title="class in estructurasLineales">ListaEstatica</a></code></dd>
<dt>Returns:</dt>
<dd>Regresa <b>true</b> si la lista esta vacia, <b>false</b> en caso contrario.</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="agregar(java.lang.Object)">
<h3>agregar</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="element-name">agregar</span><wbr><span class="parameters">(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a>&nbsp;valor)</span></div>
<div class="block"><span class="descfrm-type-label">Description copied from interface:&nbsp;<code><a href="ListaAlmacenamiento.html#agregar(java.lang.Object)">ListaAlmacenamiento</a></code></span></div>
<div class="block">Inserta al final de la lista el elemento especificados com oargumento.</div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code><a href="ListaAlmacenamiento.html#agregar(java.lang.Object)">agregar</a></code>&nbsp;in interface&nbsp;<code><a href="ListaAlmacenamiento.html" title="interface in estructurasLineales">ListaAlmacenamiento</a></code></dd>
<dt>Overrides:</dt>
<dd><code><a href="ListaEstatica.html#agregar(java.lang.Object)">agregar</a></code>&nbsp;in class&nbsp;<code><a href="ListaEstatica.html" title="class in estructurasLineales">ListaEstatica</a></code></dd>
<dt>Parameters:</dt>
<dd><code>valor</code> - Es el dato que se va a agregar en la lista.</dd>
<dt>Returns:</dt>
<dd>Regresa la posicion en memoria(indice) en donde se agrega el valor, o -1 en caso que no se haya podido insertar.</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="eliminar(java.lang.Object)">
<h3>eliminar</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a></span>&nbsp;<span class="element-name">eliminar</span><wbr><span class="parameters">(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a>&nbsp;valor)</span></div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code><a href="ListaAlmacenamiento.html#eliminar(java.lang.Object)">eliminar</a></code>&nbsp;in interface&nbsp;<code><a href="ListaAlmacenamiento.html" title="interface in estructurasLineales">ListaAlmacenamiento</a></code></dd>
<dt>Overrides:</dt>
<dd><code><a href="ListaEstatica.html#eliminar(java.lang.Object)">eliminar</a></code>&nbsp;in class&nbsp;<code><a href="ListaEstatica.html" title="class in estructurasLineales">ListaEstatica</a></code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="buscar(java.lang.Object)">
<h3>buscar</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a></span>&nbsp;<span class="element-name">buscar</span><wbr><span class="parameters">(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a>&nbsp;valor)</span></div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code><a href="ListaAlmacenamiento.html#buscar(java.lang.Object)">buscar</a></code>&nbsp;in interface&nbsp;<code><a href="ListaAlmacenamiento.html" title="interface in estructurasLineales">ListaAlmacenamiento</a></code></dd>
<dt>Overrides:</dt>
<dd><code><a href="ListaEstatica.html#buscar(java.lang.Object)">buscar</a></code>&nbsp;in class&nbsp;<code><a href="ListaEstatica.html" title="class in estructurasLineales">ListaEstatica</a></code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="porEscalar(java.lang.Number)">
<h3>porEscalar</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">boolean</span>&nbsp;<span class="element-name">porEscalar</span><wbr><span class="parameters">(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Number.html" title="class or interface in java.lang" class="external-link">Number</a>&nbsp;escalar)</span></div>
</section>
</li>
<li>
<section class="detail" id="sumarEscalar(java.lang.Number)">
<h3>sumarEscalar</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">boolean</span>&nbsp;<span class="element-name">sumarEscalar</span><wbr><span class="parameters">(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Number.html" title="class or interface in java.lang" class="external-link">Number</a>&nbsp;escalar)</span></div>
</section>
</li>
<li>
<section class="detail" id="sumar(estructurasLineales.ListaEstaticaNumerica)">
<h3>sumar</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">boolean</span>&nbsp;<span class="element-name">sumar</span><wbr><span class="parameters">(<a href="ListaEstaticaNumerica.html" title="class in estructurasLineales">ListaEstaticaNumerica</a>&nbsp;lista2)</span></div>
</section>
</li>
<li>
<section class="detail" id="multiplicar(estructurasLineales.ListaEstaticaNumerica)">
<h3>multiplicar</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">boolean</span>&nbsp;<span class="element-name">multiplicar</span><wbr><span class="parameters">(<a href="ListaEstaticaNumerica.html" title="class in estructurasLineales">ListaEstaticaNumerica</a>&nbsp;lista2)</span></div>
</section>
</li>
<li>
<section class="detail" id="aplicarPotencia(estructurasLineales.ListaEstaticaNumerica)">
<h3>aplicarPotencia</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">boolean</span>&nbsp;<span class="element-name">aplicarPotencia</span><wbr><span class="parameters">(<a href="ListaEstaticaNumerica.html" title="class in estructurasLineales">ListaEstaticaNumerica</a>&nbsp;listaEcalares)</span></div>
</section>
</li>
<li>
<section class="detail" id="aplicarPotencia(java.lang.Number)">
<h3>aplicarPotencia</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">boolean</span>&nbsp;<span class="element-name">aplicarPotencia</span><wbr><span class="parameters">(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Number.html" title="class or interface in java.lang" class="external-link">Number</a>&nbsp;escalar)</span></div>
</section>
</li>
<li>
<section class="detail" id="productoEscalar(estructurasLineales.ListaEstaticaNumerica)">
<h3>productoEscalar</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">double</span>&nbsp;<span class="element-name">productoEscalar</span><wbr><span class="parameters">(<a href="ListaEstaticaNumerica.html" title="class in estructurasLineales">ListaEstaticaNumerica</a>&nbsp;lista2)</span></div>
</section>
</li>
<li>
<section class="detail" id="norma()">
<h3>norma</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">double</span>&nbsp;<span class="element-name">norma</span>()</div>
</section>
</li>
<li>
<section class="detail" id="normaEuclidiana(estructurasLineales.ListaEstaticaNumerica)">
<h3>normaEuclidiana</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">double</span>&nbsp;<span class="element-name">normaEuclidiana</span><wbr><span class="parameters">(<a href="ListaEstaticaNumerica.html" title="class in estructurasLineales">ListaEstaticaNumerica</a>&nbsp;arreglo2)</span></div>
</section>
</li>
<li>
<section class="detail" id="sumarListaEstatica(estructurasLineales.ListaEstatica)">
<h3>sumarListaEstatica</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">double</span>&nbsp;<span class="element-name">sumarListaEstatica</span><wbr><span class="parameters">(<a href="ListaEstatica.html" title="class in estructurasLineales">ListaEstatica</a>&nbsp;listas)</span></div>
</section>
</li>
<li>
<section class="detail" id="sumarEscalares(estructurasLineales.ListaEstaticaNumerica)">
<h3>sumarEscalares</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">double</span>&nbsp;<span class="element-name">sumarEscalares</span><wbr><span class="parameters">(<a href="ListaEstaticaNumerica.html" title="class in estructurasLineales">ListaEstaticaNumerica</a>&nbsp;escalares)</span></div>
</section>
</li>
<li>
<section class="detail" id="agregarBuffer(double[])">
<h3>agregarBuffer</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">agregarBuffer</span><wbr><span class="parameters">(double[]&nbsp;buffer)</span></div>
<dl class="notes">
<dt>Overrides:</dt>
<dd><code><a href="ListaEstatica.html#agregarBuffer(double%5B%5D)">agregarBuffer</a></code>&nbsp;in class&nbsp;<code><a href="ListaEstatica.html" title="class in estructurasLineales">ListaEstatica</a></code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="leerArreglo()">
<h3>leerArreglo</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">double[]</span>&nbsp;<span class="element-name">leerArreglo</span>()</div>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
<!-- ========= END OF CLASS DATA ========= -->
</main>
</div>
</div>
</body>
</html>
